#-*- coding: utf-8 -*-

# Copyright 2008-2010 Mir Calculate Ltd. http://www.calculate-linux.org
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.


class Data:
    #базовый суффикс LDAP
    ld_base_dn = {}

    #bind суффикс LDAP
    ld_bind_dn = {}

    #пользователь только для чтения
    ld_bind_login = {'value':'proxyuser'}

    #hash пароля для пользователя для чтения
    ld_bind_hash = {}

    #пароль для пользователя для чтения
    ld_bind_pw = {'value':'calculate'}

    #алгоритм шифрования паролей
    ld_encrypt = {'value':'ssha'}

    #имя для базового суффикса LDAP
    ld_base_root = {'value':'calculate'}

    #временный пользователь root для инициализации базы данных
    ld_temp_dn = {}

    #hash пароля временного root
    ld_temp_hash = {}

    #пароль временного пользователя root
    ld_temp_pw = {}

    #DN пользователя root
    ld_admin_dn = {}

    #имя пользователя root для LDAP
    ld_admin_login = {'value':'ldapadmin'}

    #hash пароля root
    ld_admin_hash = {}

    #пароль root
    ld_admin_pw = {}

    #Имя для всех сервисов
    ld_services= {'value' : 'Services'}

    #DN всех сервисов
    ld_services_dn =  {}

    #Настроен или нет сервис LDAP
    sr_ldap_set = {'mode':"w",'value':'off'}

    # имя программы
    cl_name = {'value':'calculate-ldap'}

    # версия программы
    cl_ver = {'value':'2.2.0.0'}

    # действие программа устанавливает сервис
    cl_ldap_setup_action = {'value':'down'}
